Bug 218715 - CVE-2000-1191 htdig configuration file path disclosure flaw
CVE-2000-1191 htdig configuration file path disclosure flaw
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: htdig (Show other bugs)
3.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Adam Tkac
source=redhat,impact=low,reported=200...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-06 17:29 EST by Josh Bressers
Modified: 2013-04-30 19:34 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2007-0026
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-11 14:48:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-12-06 17:29:42 EST
It has recently come to our attention that CVE-2000-1191 is not fixed in the
htdig packages shipped with Red Hat Enterprise Linux 2.1 and 3.  This flaw is
fixed in Red Hat Enterprise Linux 4 by the htdig-3.2.0b6-unescaped_output.patch
patch file.

More details regarding this flaw are available here:
http://www.securiteam.com/exploits/5YQ0C000IU.html

To quote that page (in the event the URL becomes invalid someday)

    Exploit:
    When requesting a URL such as:
    http://www.example.com/cgi-bin/htsearch?config=aaa

    The htDig engine will reply with an error saying that it could not find the   
    configuration file 'aaa', but the error string includes the full directory  
    path of the configuration file.
Comment 10 Red Hat Bugzilla 2007-06-11 14:48:58 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0026.html

Note You need to log in before you can comment on or make changes to this bug.